Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class JARClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.gjt.sp.jedit.JARClassLoader

public class JARClassLoader
extends java.lang.ClassLoader

A class loader implementation that loads classes from JAR files. All instances share the same set of classes.

Version:
  $Id: JARClassLoader.java,v 1.34 2004/03/11 05:21:00 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`JARClassLoader()` This constructor creates a class loader for loading classes from all plugins.

Method Summary
`static void` | `dump()` For debugging.
`protected void` | `finalize()`
`java.net.URL` | `getResource(java.lang.String name)`
`java.lang.String` | `getResourceAsPath(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`java.util.zip.ZipFile` | `getZipFile()` Deprecated. Call `PluginJAR.getZipFile()` instead.
`java.lang.Class` | `loadClass(java.lang.String clazz, boolean resolveIt)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JARClassLoader

    public JARClassLoader()

  This constructor creates a class loader for loading classes from all plugins. For example BeanShell uses one of these so that scripts can use plugin classes.

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String clazz,
                                     boolean resolveIt)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException` - if the class could not be found

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

### getResource

    public java.net.URL getResource(java.lang.String name)

### getResourceAsPath

    public java.lang.String getResourceAsPath(java.lang.String name)

### getZipFile

    public java.util.zip.ZipFile getZipFile()

  Deprecated. Call `PluginJAR.getZipFile()` instead.

### dump

    public static void dump()

  For debugging.

### toString

    public java.lang.String toString()

### finalize

    protected void finalize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD